Name:           libinklevel
Version:        0.8.0
Release:        1%{?dist}
Summary:        Library to check the ink level of ink jet printers

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://libinklevel.sourceforge.net/
Source0:        http://downloads.sourceforge.net/libinklevel/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libieee1284-devel

%description
Library to check the ink level of ink jet printers
connected via USB or parallel port.
Can also check the ink level of Canon network printers
using the Canon proprietary BJNP TCP/IP protocol.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_docdir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Jul 30 2010 Claudio Rodrigo Pereyra Diaz <claudio@pereyradiaz.com.ar> 0.8.0-1
- Initial packaging
